Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Locale::Currency

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# Locale::Currency

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT

# NAME

Locale::Currency - standard codes for currency identification

# SYNOPSIS

        use Locale::Currency;    $curr = code2currency('usd');     # $curr gets 'US Dollar'    $code = currency2code('Euro');    # $code gets 'eur'    @codes   = all_currency_codes();    @names   = all_currency_names();

# DESCRIPTION

The `Locale::Currency` module provides access to standard codes used for identifying currencies and funds, such as those defined in ISO 4217.

Most of the routines take an optional additional argument which specifies the code set to use. If not specified, the default ISO 4217 three-letter codes will be used.

# SUPPORTED CODE SETS

There are several different code sets you can use for identifying currencies. A code set may be specified using either a name, or a constant that is automatically exported by this module.

For example, the two are equivalent:

       $curr = code2currency('usd','alpha');   $curr = code2currency('usd',LOCALE_CURR_ALPHA);

The codesets currently supported are:

- alpha, LOCALE_CURR_ALPHA

  This is a set of three-letter (uppercase) codes from ISO 4217 such as EUR for Euro.

  Two of the codes specified by the standard (XTS which is reserved for testing purposes and XXX which is for transactions where no currency is involved) are omitted.

  This is the default code set.

- num, LOCALE_CURR_NUMERIC

  This is the set of three-digit numeric codes from ISO 4217.

# ROUTINES

- code2currency ( CODE [,CODESET] )
- currency2code ( NAME [,CODESET] )
- currency_code2code ( CODE ,CODESET ,CODESET2 )
- all_currency_codes ( [CODESET] )
- all_currency_names ( [CODESET] )
- Locale::Currency::rename_currency ( CODE ,NEW_NAME [,CODESET] )
- Locale::Currency::add_currency ( CODE ,NAME [,CODESET] )
- Locale::Currency::delete_currency ( CODE [,CODESET] )
- Locale::Currency::add_currency_alias ( NAME ,NEW_NAME )
- Locale::Currency::delete_currency_alias ( NAME )
- Locale::Currency::rename_currency_code ( CODE ,NEW_CODE [,CODESET] )
- Locale::Currency::add_currency_code_alias ( CODE ,NEW_CODE [,CODESET] )
- Locale::Currency::delete_currency_code_alias ( CODE [,CODESET] )

  These routines are all documented in the Locale::Codes::API man page.

# SEE ALSO

- Locale::Codes

  The Locale-Codes distribution.

- Locale::Codes::API

  The list of functions supported by this module.

- http://www.iso.org/iso/support/currency_codes_list-1.htm

  The ISO 4217 data.

# AUTHOR

See Locale::Codes for full author history.

Currently maintained by Sullivan Beck (sbeck@cpan.org).

# COPYRIGHT

       Copyright (c) 1997-2001 Canon Research Centre Europe (CRE).   Copyright (c) 2001      Michael Hennecke   Copyright (c) 2001-2010 Neil Bowers   Copyright (c) 2010-2013 Sullivan Beck

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT